테스트 모음 ID로 DEM 여정을 일괄 조회합니다.

POST https://api.ap1.datadoghq.com/api/v2/dem/journeys/suites/batchhttps://api.ap2.datadoghq.com/api/v2/dem/journeys/suites/batchhttps://api.datadoghq.eu/api/v2/dem/journeys/suites/batchhttps://api.ddog-gov.com/api/v2/dem/journeys/suites/batchhttps://api.us2.ddog-gov.com/api/v2/dem/journeys/suites/batchhttps://api.uk1.datadoghq.com/api/v2/dem/journeys/suites/batchhttps://api.datadoghq.com/api/v2/dem/journeys/suites/batchhttps://api.us3.datadoghq.com/api/v2/dem/journeys/suites/batchhttps://api.us5.datadoghq.com/api/v2/dem/journeys/suites/batch

개요

제공된 여러 테스트 모음 ID와 관련된 DEM 여정을 반환합니다. This endpoint requires the synthetics_read permission.

요청

Body Data (required)

Expand All

항목

유형

설명

data [required]

object

Data object for a batch get journeys request.

attributes [required]

object

Attributes for a batch get journeys request.

test_suite_ids [required]

[string]

List of test suite IDs.

type [required]

enum

The resource type for a request to retrieve DEM journeys by test suite IDs. Allowed enum values: batch_get_journeys_by_test_suite_ids_request

{
  "data": {
    "attributes": {
      "test_suite_ids": [
        "suite-abc123",
        "suite-def456"
      ]
    },
    "type": "batch_get_journeys_by_test_suite_ids_request"
  }
}

응답

OK

Response body for a list of DEM journeys.

Expand All

항목

유형

설명

data [required]

[object]

List of DEM journey data objects.

attributes [required]

object

Attributes returned in a DEM journey response.

created_at [required]

date-time

The timestamp when the journey was created.

created_by [required]

object

A Datadog user associated with a DEM operation.

email [required]

string

The email address of the user.

handle [required]

string

The handle of the user.

name [required]

string

The display name of the user.

uuid [required]

string

The UUID of the user.

description [required]

string

An optional human-readable description of the journey.

journey_rum [required]

object

The RUM definition for a DEM journey.

filter

string

An optional RUM query filter applied to the entire journey.

rum_steps [required]

[object]

List of RUM journey steps.

nodes [required]

[object]

List of RUM nodes within a journey step.

app_id

string

The application ID associated with this node.

id

string

The ID of the RUM node element.

query [required]

string

The RUM query for matching this node.

type [required]

enum

The type of a RUM journey step. Allowed enum values: start,stop,step

variants

[object]

List of variants associated with a DEM journey.

filter

string

An optional RUM query filter to scope this variant.

id

string

The unique identifier of the variant.

name [required]

string

The name of the variant.

rum_steps [required]

[object]

List of RUM journey steps.

nodes [required]

[object]

List of RUM nodes within a journey step.

app_id

string

The application ID associated with this node.

id

string

The ID of the RUM node element.

query [required]

string

The RUM query for matching this node.

type [required]

enum

The type of a RUM journey step. Allowed enum values: start,stop,step

name [required]

string

The name of the DEM journey.

org_id [required]

int64

The organization ID that owns this journey.

tags [required]

[string]

List of tags associated with a DEM resource.

test_suite [required]

object

A test suite associated with a DEM resource.

id [required]

string

The ID of the test suite.

name [required]

string

The name of the test suite.

updated_at [required]

date-time

The timestamp when the journey was last updated.

updated_by [required]

object

A Datadog user associated with a DEM operation.

email [required]

string

The email address of the user.

handle [required]

string

The handle of the user.

name [required]

string

The display name of the user.

uuid [required]

string

The UUID of the user.

variants [required]

[object]

List of variants associated with a DEM journey.

filter

string

An optional RUM query filter to scope this variant.

id

string

The unique identifier of the variant.

name [required]

string

The name of the variant.

rum_steps [required]

[object]

List of RUM journey steps.

nodes [required]

[object]

List of RUM nodes within a journey step.

app_id

string

The application ID associated with this node.

id

string

The ID of the RUM node element.

query [required]

string

The RUM query for matching this node.

type [required]

enum

The type of a RUM journey step. Allowed enum values: start,stop,step

id [required]

string

The unique identifier of the DEM journey.

type [required]

enum

The type identifier for DEM journeys. Allowed enum values: journeys

{
  "data": [
    {
      "attributes": {
        "created_at": "2024-01-15T10:30:00Z",
        "created_by": {
          "email": "jane.doe@example.com",
          "handle": "jane.doe",
          "name": "Jane Doe",
          "uuid": "00000000-0000-0000-0000-000000000001"
        },
        "description": "Tracks the user checkout flow from cart to confirmation.",
        "journey_rum": {
          "filter": "env:prod",
          "rum_steps": [
            {
              "nodes": [
                {
                  "app_id": "app-xyz789",
                  "id": "element-id-123",
                  "query": "action.name:'checkout'"
                }
              ],
              "type": "start"
            }
          ],
          "variants": [
            {
              "filter": "device.type:mobile",
              "id": "variant-001",
              "name": "Mobile checkout",
              "rum_steps": [
                {
                  "nodes": [
                    {
                      "app_id": "app-xyz789",
                      "id": "element-id-123",
                      "query": "action.name:'checkout'"
                    }
                  ],
                  "type": "start"
                }
              ]
            }
          ]
        },
        "name": "Checkout Flow",
        "org_id": 12345,
        "tags": [
          "team:synthetics",
          "env:prod"
        ],
        "test_suite": {
          "id": "suite-abc123",
          "name": "My Journey Suite"
        },
        "updated_at": "2024-01-16T08:00:00Z",
        "updated_by": {
          "email": "jane.doe@example.com",
          "handle": "jane.doe",
          "name": "Jane Doe",
          "uuid": "00000000-0000-0000-0000-000000000001"
        },
        "variants": [
          {
            "filter": "device.type:mobile",
            "id": "variant-001",
            "name": "Mobile checkout",
            "rum_steps": [
              {
                "nodes": [
                  {
                    "app_id": "app-xyz789",
                    "id": "element-id-123",
                    "query": "action.name:'checkout'"
                  }
                ],
                "type": "start"
              }
            ]
          }
        ]
      },
      "id": "journey-abc123",
      "type": "journeys"
    }
  ]
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 예시

                  ## default
# 

# Use a Personal Access Token or Service Access Token
export DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/dem/journeys/suites/batch" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "data": { "attributes": { "test_suite_ids": [ "suite-abc123", "suite-def456" ] }, "type": "batch_get_journeys_by_test_suite_ids_request" } } EOF
"""
Batch get DEM journeys by test suite IDs returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.dem_api import DEMApi
from datadog_api_client.v2.model.dem_batch_get_journeys_attributes import DemBatchGetJourneysAttributes
from datadog_api_client.v2.model.dem_batch_get_journeys_data import DemBatchGetJourneysData
from datadog_api_client.v2.model.dem_batch_get_journeys_request import DemBatchGetJourneysRequest
from datadog_api_client.v2.model.dem_batch_get_journeys_request_type import DemBatchGetJourneysRequestType

body = DemBatchGetJourneysRequest(
    data=DemBatchGetJourneysData(
        attributes=DemBatchGetJourneysAttributes(
            test_suite_ids=[
                "suite-abc123",
                "suite-def456",
            ],
        ),
        type=DemBatchGetJourneysRequestType.BATCH_GET_JOURNEYS_BY_TEST_SUITE_IDS_REQUEST,
    ),
)

configuration = Configuration()
configuration.access_token = environ["DD_BEARER_TOKEN"]
with ApiClient(configuration) as api_client:
    api_instance = DEMApi(api_client)
    response = api_instance.batch_get_journeys_by_test_suite_i_ds(body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" python3 "example.py"
# Batch get DEM journeys by test suite IDs returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.access_token = ENV["DD_BEARER_TOKEN"]
end
api_instance = DatadogAPIClient::V2::DEMAPI.new

body = DatadogAPIClient::V2::DemBatchGetJourneysRequest.new({
  data: DatadogAPIClient::V2::DemBatchGetJourneysData.new({
    attributes: DatadogAPIClient::V2::DemBatchGetJourneysAttributes.new({
      test_suite_ids: [
        "suite-abc123",
        "suite-def456",
      ],
    }),
    type: DatadogAPIClient::V2::DemBatchGetJourneysRequestType::BATCH_GET_JOURNEYS_BY_TEST_SUITE_IDS_REQUEST,
  }),
})
p api_instance.batch_get_journeys_by_test_suite_i_ds(body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" rb "example.rb"
// Batch get DEM journeys by test suite IDs returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.DemBatchGetJourneysRequest{
		Data: datadogV2.DemBatchGetJourneysData{
			Attributes: datadogV2.DemBatchGetJourneysAttributes{
				TestSuiteIds: []string{
					"suite-abc123",
					"suite-def456",
				},
			},
			Type: datadogV2.DEMBATCHGETJOURNEYSREQUESTTYPE_BATCH_GET_JOURNEYS_BY_TEST_SUITE_IDS_REQUEST,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	ctx = context.WithValue(ctx, datadog.ContextAccessToken, os.Getenv("DD_BEARER_TOKEN"))
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewDEMApi(apiClient)
	resp, r, err := api.BatchGetJourneysByTestSuiteIDs(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `DEMApi.BatchGetJourneysByTestSuiteIDs`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `DEMApi.BatchGetJourneysByTestSuiteIDs`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" go run "main.go"
// Batch get DEM journeys by test suite IDs returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.DemApi;
import com.datadog.api.client.v2.model.DemBatchGetJourneysAttributes;
import com.datadog.api.client.v2.model.DemBatchGetJourneysData;
import com.datadog.api.client.v2.model.DemBatchGetJourneysRequest;
import com.datadog.api.client.v2.model.DemBatchGetJourneysRequestType;
import com.datadog.api.client.v2.model.DemJourneysListResponse;
import java.util.Arrays;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));
    DemApi apiInstance = new DemApi(defaultClient);

    DemBatchGetJourneysRequest body =
        new DemBatchGetJourneysRequest()
            .data(
                new DemBatchGetJourneysData()
                    .attributes(
                        new DemBatchGetJourneysAttributes()
                            .testSuiteIds(Arrays.asList("suite-abc123", "suite-def456")))
                    .type(
                        DemBatchGetJourneysRequestType
                            .BATCH_GET_JOURNEYS_BY_TEST_SUITE_IDS_REQUEST));

    try {
      DemJourneysListResponse result = apiInstance.batchGetJourneysByTestSuiteIDs(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling DemApi#batchGetJourneysByTestSuiteIDs");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" java "Example.java"
// Batch get DEM journeys by test suite IDs returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_dem::DEMAPI;
use datadog_api_client::datadogV2::model::DemBatchGetJourneysAttributes;
use datadog_api_client::datadogV2::model::DemBatchGetJourneysData;
use datadog_api_client::datadogV2::model::DemBatchGetJourneysRequest;
use datadog_api_client::datadogV2::model::DemBatchGetJourneysRequestType;

#[tokio::main]
async fn main() {
    let body = DemBatchGetJourneysRequest::new(DemBatchGetJourneysData::new(
        DemBatchGetJourneysAttributes::new(vec![
            "suite-abc123".to_string(),
            "suite-def456".to_string(),
        ]),
        DemBatchGetJourneysRequestType::BATCH_GET_JOURNEYS_BY_TEST_SUITE_IDS_REQUEST,
    ));
    let configuration = datadog::Configuration::new();
    let api = DEMAPI::with_config(configuration);
    let resp = api.batch_get_journeys_by_test_suite_i_ds(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Batch get DEM journeys by test suite IDs returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration({
  authMethods: {
    AuthZ: {
      accessToken: process.env.DD_BEARER_TOKEN as string,
    },
  },
});
const apiInstance = new v2.DEMApi(configuration);

const params: v2.DEMApiBatchGetJourneysByTestSuiteIDsRequest = {
  body: {
    data: {
      attributes: {
        testSuiteIds: ["suite-abc123", "suite-def456"],
      },
      type: "batch_get_journeys_by_test_suite_ids_request",
    },
  },
};

apiInstance
  .batchGetJourneysByTestSuiteIDs(params)
  .then((data: v2.DemJourneysListResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" tsc "example.ts"